[SCM] UNNAMED PROJECT branch, master, updated. 0.30-17-g28fa0ee
Benjamin Drung
bdrung-guest at alioth.debian.org
Tue Jun 29 21:46:38 UTC 2010
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "UNNAMED PROJECT".
The branch, master has been updated
via 28fa0eec6d24b0bf92cbcd0f04efea6dfc1917cf (commit)
from 10f7495f4eb4a13d3070b60157a143d275dbf420 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 28fa0eec6d24b0bf92cbcd0f04efea6dfc1917cf
Author: Benjamin Drung <bdrung at ubuntu.com>
Date: Tue Jun 29 23:46:34 2010 +0200
Add fetch-eclipse-source script.
-----------------------------------------------------------------------
Summary of changes:
debian/control | 3 +
debian/javahelper.install | 1 +
fetch-eclipse-source | 91 +++++++++++++++++++++++++++++++++++++++++++++
3 files changed, 95 insertions(+), 0 deletions(-)
diff --git a/debian/control b/debian/control
index 746f368..1a74bc0 100644
--- a/debian/control
+++ b/debian/control
@@ -25,6 +25,9 @@ Architecture: all
Depends: ${misc:Depends}, fastjar, debhelper, python, python-debian,
python-scriptutil, devscripts, bsdmainutils, dpkg-dev,
dctrl-tools
+Suggests: cvs,
+ gawk,
+ tofrodos
Description: Helper scripts for packaging Java programs
Javahelper contains several scripts which help in packaging
Java programs.
diff --git a/debian/javahelper.install b/debian/javahelper.install
index 0f42717..c2f4ae5 100644
--- a/debian/javahelper.install
+++ b/debian/javahelper.install
@@ -1,3 +1,4 @@
+fetch-eclipse-source /usr/bin
jh_depends /usr/bin
jh_manifest /usr/bin
jh_exec /usr/bin
diff --git a/fetch-eclipse-source b/fetch-eclipse-source
new file mode 100755
index 0000000..5a467ff
--- /dev/null
+++ b/fetch-eclipse-source
@@ -0,0 +1,91 @@
+#!/bin/bash
+set -e
+
+# This file has been obtained from:
+# http://cvs.fedoraproject.org/viewvc/rpms/eclipse-emf/devel/
+#
+# The author list below is not from the original file, but has been
+# written based on the CVS commit log (in case the CVS should some day
+# be unavailable).
+#
+# Written by: 2009, Mat Booth <fedora at matbooth.co.uk>
+# Modified by: 2009, Alexander Kurtakov <akurtako at redhat.com>
+#
+
+# uscan will run this script like
+# fetch-eclipse-source --upstream-version <version> <directory.txt file>
+
+# This script requires that these package are installed: cvs, gawk, tofrodos
+
+VERSION=$2
+DIRECTORY_TXT=$3
+
+if ! which cvs > /dev/null 2>&1; then
+ echo "$0: Cannot find cvs. Please install the cvs package." >&2
+ exit 1
+fi
+if ! which gawk > /dev/null 2>&1; then
+ echo "$0: Cannot find gawk. Please install the gawk package." >&2
+ exit 1
+fi
+if ! which fromdos > /dev/null 2>&1; then
+ echo "$0: Cannot find fromdos. Please install the tofrodos package." >&2
+ exit 1
+fi
+
+if test ! -f debian/control; then
+ echo "$0: Could not find debian/control." >&2
+ exit 1
+fi
+
+NAME=$(grep "Source:" debian/control | sed "s/^Source: //")
+
+MAPFILE=$NAME.map
+TEMPMAPFILE=temp.map
+
+echo "Exporting from CVS..."
+rm -rf ${NAME}-$VERSION
+mkdir ${NAME}-$VERSION
+
+mv $DIRECTORY_TXT ${NAME}-$VERSION/$MAPFILE
+pushd ${NAME}-$VERSION >/dev/null
+fromdos $MAPFILE
+grep ^[a-z] $MAPFILE > $TEMPMAPFILE
+
+gawk 'BEGIN {
+ FS=","
+}
+{
+if (NF < 4) {
+
+ split($1, version, "=");
+ split(version[1], directory, "@");
+ cvsdir=split($2, dirName, ":");
+ printf("cvs -d %s%s %s %s %s %s %s\n", ":pserver:anonymous at dev.eclipse.org:", dirName[cvsdir], "-q export -r", version[2], "-d", directory[2], directory[2]) | "/bin/bash";
+}
+else {
+
+ split($1, version, "=");
+ total=split($4, directory, "/");
+ cvsdir=split($2, dirName, ":");
+ printf("cvs -d %s%s %s %s %s %s %s\n", ":pserver:anonymous at dev.eclipse.org:", dirName[cvsdir], "-q export -r", version[2], "-d", directory[total], $4) | "/bin/bash";
+}
+
+}' $TEMPMAPFILE
+
+rm $TEMPMAPFILE $MAPFILE
+popd >/dev/null
+
+echo "Remove prebuilt binaries and jars..."
+find $NAME-$VERSION \( -name '*.exe' -o -name '*.dll' \) -delete
+find $NAME-$VERSION \( -name '*.so' -o -name '*.so.2' \) -delete
+find $NAME-$VERSION -name '*.jar' -delete
+echo "Remove empty directories..."
+find $NAME-$VERSION -depth -type d -empty -delete
+echo "Creating tarball '../${NAME}_$VERSION$DEBV.orig.tar.bz2'..."
+if test -f debian/fetch-eclipse-source.exclude; then
+ tar -acf ../${NAME}_$VERSION$DEBV.orig.tar.bz2 ${NAME}-$VERSION -X debian/fetch-eclipse-source.exclude
+else
+ tar -acf ../${NAME}_$VERSION$DEBV.orig.tar.bz2 ${NAME}-$VERSION
+fi
+rm -rf ${NAME}-$VERSION
hooks/post-receive
--
UNNAMED PROJECT
More information about the pkg-java-commits
mailing list